ResourceFilterType (Gradle API 4.10.2)
Date: 2018-09-19

org.gradle.plugins.ide.eclipse.model

## Enum ResourceFilterType

- java.lang.Object
- - java.lang.Enum<ResourceFilterType>
  - - org.gradle.plugins.ide.eclipse.model.ResourceFilterType

- All Implemented Interfaces:
    Serializable, Comparable<ResourceFilterType>

      @Incubating
      public enum ResourceFilterType
      extends Enum<ResourceFilterType>

  Specifies whether an Eclipse `ResourceFilter` is including or excluding resources.
  Since:
    3.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCLUDE_ALL`
    `INCLUDE_ONLY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceFilterType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResourceFilterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INCLUDE_ONLY

          public static final ResourceFilterType INCLUDE_ONLY

    - #### EXCLUDE_ALL

          public static final ResourceFilterType EXCLUDE_ALL

  - ### Method Detail

    - #### values

          public static ResourceFilterType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceFilterType c : ResourceFilterType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceFilterType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null